com.genesyslab.wfm7.API.service.schedule720

## Class SchAgentState

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule720.SchAgentState

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentState
      extends java.lang.Object
      implements java.io.Serializable

  The schedule state is a most basic element of agent's schedule. The agent schedule is built on day basis and every day schedule contains one or more states scheduled. At any given moment during the day agent is assigned one schedule state (in most cases). There is one exception to that. Multi-skilled agent can be scheduled to work on more than one activity at the same time. In such case agent may have more than one schedule state for the same period of time. Usually schedule states have defined start and end times but some states are full-day in their nature and have no start and end time defined.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private double` | `wmDate` Points out the shift day the scheduled state belongs to.
    `private double` | `wmEndDateTime` Schedule state end date/time.
    `private boolean` | `wmFullDay` Is state full-day (true/false)
    `private boolean` | `wmPaid` Is state paid (true/false)
    `private int` | `wmPaidMinutes` Calculated paid duration of schedule state.
    `private double` | `wmStartDateTime` Schedule state start date/time.
    `private int` | `wmStateId` State ID
    `private int` | `wmStateType` State type `ESchStateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentState()`
    `SchAgentState(int gswAgentId, double wmDate, int wmStateType, int wmStateId, double wmStartDateTime, double wmEndDateTime, boolean wmPaid, boolean wmFullDay, int wmPaidMinutes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAgentState.
    `double` | `getWmDate()` Gets the wmDate value for this SchAgentState.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this SchAgentState.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchAgentState.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this SchAgentState.
    `int` | `getWmStateId()` Gets the wmStateId value for this SchAgentState.
    `int` | `getWmStateType()` Gets the wmStateType value for this SchAgentState.
    `int` | `hashCode()`
    `boolean` | `isWmFullDay()` Gets the wmFullDay value for this SchAgentState.
    `boolean` | `isWmPaid()` Gets the wmPaid value for this SchAgentState.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAgentState.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchAgentState.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this SchAgentState.
    `void` | `setWmFullDay(boolean wmFullDay)` Sets the wmFullDay value for this SchAgentState.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this SchAgentState.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchAgentState.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this SchAgentState.
    `void` | `setWmStateId(int wmStateId)` Sets the wmStateId value for this SchAgentState.
    `void` | `setWmStateType(int wmStateType)` Sets the wmStateType value for this SchAgentState.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmDate

          private double wmDate

      Points out the shift day the scheduled state belongs to. `OleDateTime`

    - #### wmStateType

          private int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          private int wmStateId

      State ID

    - #### wmStartDateTime

          private double wmStartDateTime

      Schedule state start date/time. `OleDateTime`

    - #### wmEndDateTime

          private double wmEndDateTime

      Schedule state end date/time. `OleDateTime`

    - #### wmPaid

          private boolean wmPaid

      Is state paid (true/false)

    - #### wmFullDay

          private boolean wmFullDay

      Is state full-day (true/false)

    - #### wmPaidMinutes

          private int wmPaidMinutes

      Calculated paid duration of schedule state. In case of SCH_LAYOUT_OVERLAPPED state layout, it takes into account all overlapping schedule states to adjust paid minutes. It is read-only attribute.

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchAgentState

          public SchAgentState()

    - #### SchAgentState

          public SchAgentState(int gswAgentId,
                       double wmDate,
                       int wmStateType,
                       int wmStateId,
                       double wmStartDateTime,
                       double wmEndDateTime,
                       boolean wmPaid,
                       boolean wmFullDay,
                       int wmPaidMinutes)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAgentState.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAgentState.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchAgentState.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchAgentState.
      Parameters:
        `wmDate` -

    - #### getWmStateType

          public int getWmStateType()

      Gets the wmStateType value for this SchAgentState.
      Returns:
        wmStateType

    - #### setWmStateType

          public void setWmStateType(int wmStateType)

      Sets the wmStateType value for this SchAgentState.
      Parameters:
        `wmStateType` -

    - #### getWmStateId

          public int getWmStateId()

      Gets the wmStateId value for this SchAgentState.
      Returns:
        wmStateId

    - #### setWmStateId

          public void setWmStateId(int wmStateId)

      Sets the wmStateId value for this SchAgentState.
      Parameters:
        `wmStateId` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this SchAgentState.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this SchAgentState.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this SchAgentState.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this SchAgentState.
      Parameters:
        `wmEndDateTime` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this SchAgentState.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this SchAgentState.
      Parameters:
        `wmPaid` -

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the wmFullDay value for this SchAgentState.
      Returns:
        wmFullDay

    - #### setWmFullDay

          public void setWmFullDay(boolean wmFullDay)

      Sets the wmFullDay value for this SchAgentState.
      Parameters:
        `wmFullDay` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchAgentState.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchAgentState.
      Parameters:
        `wmPaidMinutes` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.